Skip to main content
GET
/
api
/
v1
/
checkout-intents
/
{id}
/
shipments
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const shipment of client.checkoutIntents.shipments.list('id')) {
  console.log(shipment);
}
{
  "pageInfo": {
    "hasPreviousPage": true,
    "hasNextPage": true,
    "endCursor": "<string>",
    "startCursor": "<string>"
  },
  "data": [
    {
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "marketplaceOrderId": "<string>",
      "checkoutIntentId": "<string>",
      "id": "<string>",
      "trackingEvents": [
        {
          "status": "out_for_delivery",
          "location": {
            "country": "<string>",
            "province": "<string>",
            "city": "<string>"
          },
          "timestamp": {
            "local": "<string>",
            "utc": "2023-11-07T05:31:56Z"
          },
          "description": "<string>"
        }
      ],
      "shippedAt": "2023-11-07T05:31:56Z",
      "tracking": {
        "number": "<string>",
        "carrierName": "<string>",
        "deliveryDate": {
          "estimated": "2023-11-07T05:31:56Z"
        },
        "url": "<string>"
      },
      "externalId": "<string>",
      "status": "shipped"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Rye API key

Path Parameters

id
string
required

The id of the checkout intent

Query Parameters

limit
integer<int32>

Maximum number of results to return (default 100)

Required range: 1 <= x <= 100
after
string
before
string

Response

Shipments list response

pageInfo
object
required
data
(Shipped · object | Delivered · object | Delayed · object | Out for Delivery · object | Ordered · object | Canceled · object)[]
required

Shipments that have tracking information (shipped, delayed, or delivered states)